import { jsx } from "react/jsx-runtime";
import { TokenCOC as TokenCOC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCOC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "COC", "data-name": "TokenCOC", ...props, children: /* @__PURE__ */ jsx(TokenCOC$1, { variant }) });
  }
);
TokenCOC.displayName = "TokenCOC";
Object.assign(TokenCOC, { isGdsIcon: true });
export {
  TokenCOC
};
